##
##  grasp.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2019 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package version
%define       V_version  0.6.0
%define       V_date     20190105

#   package information
Name:         grasp
Summary:      JavaScript Source Grepping
URL:          http://graspjs.com/
Vendor:       George Zahariev
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        ShellUtils
License:      MIT
Version:      %{V_version}
Release:      20190105

#   list of sources
Source0:      http://download.openpkg.org/components/versioned/grasp/grasp-%{V_version}-%{V_date}.tar.xz
Source1:      grasp.sh

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, node-openpkg
PreReq:       OpenPKG, openpkg >= 20160101, node

%description
    Grasp is a command line utility that allows you to search and
    replace your JavaScript code - but unlike programs such as "grep"
    or "sed", it searches the structure behind your code (the abstract
    syntax tree), rather than simply the text you've written - this
    allows for much more powerful searches.

%track
    prog grasp = {
        version   = %{V_date}
        url       = http://download.openpkg.org/components/versioned/grasp/
        regex     = grasp-(__VER__)\.tar\.gz
    }

%prep
    %setup -q -c

%build
    %{l_prefix}/bin/node-openpkg squeeze

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/lib/grasp
    %{l_shtool} install -c -m 755 %{l_value -s -a} \
        %{SOURCE grasp.sh} \
        $RPM_BUILD_ROOT%{l_prefix}/bin/grasp
    %{l_prefix}/bin/node-openpkg install \
        %{l_prefix}/lib/grasp/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

